petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMForestRegisterType

Registers a DMType as a subtype of DMFOREST (so that DMIsForest() will be correct)

### Synopsis

    #include "petscdmforest.h"
    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMForestRegisterType(DMType name)

Not Collective

### Input parameter

name -the name of the type

### See Also

DMFOREST, DMIsForest()

### Level

advanced

### Location

src/dm/impls/forest/forest.c
Index of all DMFOREST routines
Table of Contents for all manual pages
Index of all manual pages